curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/preview \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/preview"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/documents/files/{fileId}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fileId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"documentVersionId": "0f8fad5b-d9cb-469f-a165-70867728950e",
"downloadUrl": "https://bucket.s3.amazonaws.com/previews/accounts/b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2/documents/0f8fad5b-d9cb-469f-a165-70867728950e?X-Amz-Expires=86400&X-Amz-Signature=...",
"expiry": "2022-04-23T14:30:00Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get preview info for a file
Returns a presigned URL to the PDF preview of the current version of the specified file. The URL is valid for 1 day from the time of the request.
This endpoint never creates a preview. Use CreatePreview to request one; while the conversion is still pending this endpoint returns 404.
Path Parameters
Unique identifier of the matter to which the file belongs.
Unique identifier of the file.
Response
When the request is successful. Returns a 'PreviewFileInfo' object.
Unique identifier of the requested file
"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"
Unique identifier of the document version the preview was generated from. Pass this to GetPreviewById.
"0f8fad5b-d9cb-469f-a165-70867728950e"
Temporary presigned URL to download the PDF preview. Valid for 1 day. Null when the preview has not been generated yet (conversion is pending); poll GetPreviewById until it is available.
"https://bucket.s3.amazonaws.com/previews/accounts/b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2/documents/0f8fad5b-d9cb-469f-a165-70867728950e?X-Amz-Expires=86400&X-Amz-Signature=..."
Expiry date/time (UTC) after which the download link is no longer accessible. Null when the preview has not been generated yet (conversion is pending).
"2022-04-23T14:30:00Z"